/*******************************************************************************
 * TerrainMaterial generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class TerrainMaterial extends Object
    native(Terrain)
    hidecategories(Object);

enum ETerrainMappingType
{
    TMT_Auto,
    TMT_XY,
    TMT_XZ,
    TMT_YZ,
    TMT_MAX
};

var Matrix LocalToMapping;
var(Material) TerrainMaterial.ETerrainMappingType MappingType;
var(Material) float MappingScale;
var(Material) float MappingRotation;
var(Material) float MappingPanU;
var(Material) float MappingPanV;
var(Material) MaterialInterface Material;
var(Displacement) Texture2D DisplacementMap;
var(Displacement) float DisplacementScale;

defaultproperties
{
    MappingScale=4.0
    DisplacementScale=0.250
}